Private Link Services - Delete Private Endpoint Connection
刪除訂用帳戶中私人連結服務的私人端點連線。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}/privateEndpointConnections/{peConnectionName}?api-version=2025-05-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
pe
|
path | True |
string |
資源群組內唯一的資源名稱。 這個名稱可以用來access資源。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
service
|
path | True |
string |
私人連結服務的名稱。 |
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
已成功刪除資源。 |
|
| 202 Accepted |
已接受資源刪除。 標題
|
|
| 204 No Content |
資源不存在。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
delete private end point connection for a private link service
範例要求
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls/privateEndpointConnections/testPlePeConnection?api-version=2025-05-01
範例回覆
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/eastus/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-05-01
定義
| 名稱 | Description |
|---|---|
| Error |
常見的錯誤表示。 |
|
Error |
常見的錯誤詳細數據表示。 |
Error
常見的錯誤表示。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 |
| details |
錯誤詳細資訊。 |
|
| innerError |
string |
內部錯誤訊息。 |
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorDetails
常見的錯誤詳細數據表示。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 |
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |